Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5117)
@@ -28,15 +28,15 @@
   USE isotopes_mod, ONLY: iso_eau,iso_HDO,ridicule,bidouille_anti_divergence
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif,deltalim, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif,deltalim, &
         iso_verif_egalite_choix,iso_verif_aberrant_choix, &
         iso_verif_aberrant, iso_verif_positif,iso_verif_positif_nostop
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_traceurs,izone_ddft,izone_revap, &
+    USE isotrac_mod, ONLY: option_traceurs,izone_ddft,izone_revap, &
 &        izone_poubelle, index_zone,option_tmin,izone_cond
 #ifdef ISOVERIF
   USE isotopes_verif_mod, ONLY: iso_verif_traceur,iso_verif_traceur_justmass, &
 &       iso_verif_trac_masse_vect
-    use isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
+    USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -179,29 +179,29 @@
 
 #ifdef ISO
-      real xt1(ntraciso,len,nd)
-      real fxt1(ntraciso,len,nd)
-      real xtprecip1(ntraciso,len)
-      real xtvprecip1(ntraciso,len,nd+1)
-      real xtevap1(ntraciso,len,nd)
-      real xtwdtraina1(ntraciso,len,nd)
-      real xtelij1(ntraciso,len, nd, nd)
+      REAL xt1(ntraciso,len,nd)
+      REAL fxt1(ntraciso,len,nd)
+      REAL xtprecip1(ntraciso,len)
+      REAL xtvprecip1(ntraciso,len,nd+1)
+      REAL xtevap1(ntraciso,len,nd)
+      REAL xtwdtraina1(ntraciso,len,nd)
+      REAL xtelij1(ntraciso,len, nd, nd)
 #ifdef DIAGISO
-      real water1(len,nd)
-      real xtwater1(ntraciso,len,nd)
-      real qp1(len,nd),xtp1(ntraciso,len,nd)
-      real fq_detrainement1(len,nd)
-      real f_detrainement1(len,nd)
-      real q_detrainement1(len,nd)
-      real fq_ddft1(len,nd)
-      real fq_fluxmasse1(len,nd)
-      real fq_evapprecip1(len,nd)
-      real fxt_detrainement1(ntraciso,len,nd)
-      real xt_detrainement1(ntraciso,len,nd)
-      real fxt_ddft1(ntraciso,len,nd)
-      real fxt_fluxmasse1(ntraciso,len,nd)
-      real fxt_evapprecip1(ntraciso,len,nd)
+      REAL water1(len,nd)
+      REAL xtwater1(ntraciso,len,nd)
+      REAL qp1(len,nd),xtp1(ntraciso,len,nd)
+      REAL fq_detrainement1(len,nd)
+      REAL f_detrainement1(len,nd)
+      REAL q_detrainement1(len,nd)
+      REAL fq_ddft1(len,nd)
+      REAL fq_fluxmasse1(len,nd)
+      REAL fq_evapprecip1(len,nd)
+      REAL fxt_detrainement1(ntraciso,len,nd)
+      REAL xt_detrainement1(ntraciso,len,nd)
+      REAL fxt_ddft1(ntraciso,len,nd)
+      REAL fxt_fluxmasse1(ntraciso,len,nd)
+      REAL fxt_evapprecip1(ntraciso,len,nd)
 #endif
 #ifdef ISOVERIF      
-      real deltaD
+      REAL deltaD
 #endif      
 #endif
@@ -352,6 +352,6 @@
 
 #ifdef ISO
-      integer ixt
-      real xtclw1(ntraciso,klon,klev)
+      INTEGER ixt
+      REAL xtclw1(ntraciso,klon,klev)
       REAL xtnk1(ntraciso,klon)
 #endif
@@ -411,33 +411,33 @@
   REAL epmax_diag(nloc) ! epmax_cape
 #ifdef ISO
-      real xt(ntraciso,nloc,klev)
-      real xtnk(ntraciso,nloc)
-      real xtclw(ntraciso,nloc,klev)
-      real xtp(ntraciso,nloc,klev)
-      real xtent(ntraciso,nloc,klev,klev)
-      real xtelij(ntraciso,nloc,klev,klev)
+      REAL xt(ntraciso,nloc,klev)
+      REAL xtnk(ntraciso,nloc)
+      REAL xtclw(ntraciso,nloc,klev)
+      REAL xtp(ntraciso,nloc,klev)
+      REAL xtent(ntraciso,nloc,klev,klev)
+      REAL xtelij(ntraciso,nloc,klev,klev)
 !      real xtep(ntraciso,nloc,klev) ! le 7 mai: on supprime xtep
-      real xtwater(ntraciso,nloc,klev)
-      real xtevap(ntraciso,nloc,klev)
-      real fxt(ntraciso,nloc,klev)
-      real xtprecip(ntraciso,nloc)
-      real xtvprecip(ntraciso,nloc,klev+1)
-      real xtwdtraina(ntraciso,nloc,klev)
+      REAL xtwater(ntraciso,nloc,klev)
+      REAL xtevap(ntraciso,nloc,klev)
+      REAL fxt(ntraciso,nloc,klev)
+      REAL xtprecip(ntraciso,nloc)
+      REAL xtvprecip(ntraciso,nloc,klev+1)
+      REAL xtwdtraina(ntraciso,nloc,klev)
 #ifdef DIAGISO
-      real fxt_detrainement(ntraciso,nloc,klev)
-      real fxt_fluxmasse(ntraciso,nloc,klev)
-      real fxt_evapprecip(ntraciso,nloc,klev)
-      real fxt_ddft(ntraciso,nloc,klev)
-      real fq_detrainement(nloc,klev)
-      real f_detrainement(nloc,klev)
-      real q_detrainement(nloc,klev)
-      real xt_detrainement(ntraciso,nloc,klev)
-      real fq_fluxmasse(nloc,klev)
-      real fq_evapprecip(nloc,klev)
-      real fq_ddft(nloc,klev)
+      REAL fxt_detrainement(ntraciso,nloc,klev)
+      REAL fxt_fluxmasse(ntraciso,nloc,klev)
+      REAL fxt_evapprecip(ntraciso,nloc,klev)
+      REAL fxt_ddft(ntraciso,nloc,klev)
+      REAL fq_detrainement(nloc,klev)
+      REAL f_detrainement(nloc,klev)
+      REAL q_detrainement(nloc,klev)
+      REAL xt_detrainement(ntraciso,nloc,klev)
+      REAL fq_fluxmasse(nloc,klev)
+      REAL fq_evapprecip(nloc,klev)
+      REAL fq_ddft(nloc,klev)
 #endif
 #ifdef ISOTRAC
-      integer iiso,ixt_ddft,ixt_poubelle,ixt_revap
-      integer izone 
+      INTEGER iiso,ixt_ddft,ixt_poubelle,ixt_revap
+      INTEGER izone
 !#ifdef ISOVERIF
 !      integer iso_verif_positif_nostop
@@ -452,5 +452,5 @@
        WRITE(*,*) 'cv_driver 391: ENTREE dans cv_driver'
 !        WRITE(*,*) 'nloc=',nloc
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
         do k = 1, klev
          do i = 1, nloc          
@@ -460,8 +460,8 @@
         enddo
        endif !if (iso_eau.gt.0) THEN
-       if (iso_HDO.gt.0) THEN
+       IF (iso_HDO.gt.0) THEN
         do k = 1, klev
          do i = 1, nloc  
-           if (q1(i,k).gt.ridicule) THEN
+           IF (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant(xt1(iso_hdo,i,k)/q1(i,k), &
                  'cv_driver 362')
@@ -662,6 +662,6 @@
        do k=1,klev       
          do i=1,klon 
-          if (iso_HDO.gt.0) THEN
-           if (q1(i,k).gt.ridicule) THEN
+          IF (iso_HDO.gt.0) THEN
+           IF (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant(xt1(iso_hdo,i,k)/q1(i,k), &
                   'cv_driver 502')
@@ -690,5 +690,5 @@
        do k = 1, klev
         do i = 1, klon
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                  'undil1',errmax,errmaxrel)
@@ -754,5 +754,5 @@
        do k = 1, klev
         do i = 1, nloc
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                   'cv_driver 541a',errmax,errmaxrel)
@@ -785,5 +785,5 @@
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cv_driver 598',errmax,errmaxrel)
@@ -791,5 +791,5 @@
                   'cv_driver 600',errmax,errmaxrel)
          endif !  if (iso_eau.gt.0) THEN
-         if (iso_HDO.gt.0) THEN
+         IF (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
@@ -801,5 +801,5 @@
         enddo
        enddo
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
        do i = 1, ncum
             CALL iso_verif_egalite_choix(xtnk(iso_eau,i),qnk(i), &
@@ -843,5 +843,5 @@
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cv_driver 650',errmax,errmaxrel)
@@ -849,5 +849,5 @@
                   'cv_driver 652',errmax,errmaxrel)
          endif !  if (iso_eau.gt.0) THEN
-         if (iso_HDO.gt.0) THEN
+         IF (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
@@ -913,5 +913,5 @@
        do j = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,i,j,k), &
                   elij(i,j,k),'cv_driver 881',errmax,errmaxrel)
@@ -932,5 +932,5 @@
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cv_driver 709',errmax,errmaxrel)
@@ -938,13 +938,13 @@
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cv_driver 856')
-           if (option_tmin.eq.1) THEN
-             if (iso_verif_positif_nostop(xtclw(itZonIso( &
+           IF (option_tmin.EQ.1) THEN
+             IF (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cv_driver 909').eq.1) THEN
+                 ,'cv_driver 909').EQ.1) THEN
                WRITE(*,*) 'i,k=',i,k
                WRITE(*,*) 'xtclw=',xtclw(:,i,k)
                stop
              endif !if (iso_verif_positif_nostop(xtclw(itZonIso(
-           endif !if ((option_traceurs.eq.17).or.
+           endif !if ((option_traceurs.EQ.17).OR.
 #endif  
         enddo
@@ -972,5 +972,5 @@
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cv_driver 753',errmax,errmaxrel)
@@ -1002,5 +1002,5 @@
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             !    WRITE(*,*) 'i,k=',i,k
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
@@ -1020,5 +1020,5 @@
            CALL iso_verif_traceur_justmass(xtevap(1,i,k), &
                  'cv_driver 942')
-           if (bidouille_anti_divergence) THEN
+           IF (bidouille_anti_divergence) THEN
              CALL iso_verif_traceur_pbidouille( &
                  xtp(1,i,k),'cv_driver 956')
@@ -1042,5 +1042,5 @@
 #ifdef ISO
 #ifdef ISOTRAC
-      if (option_traceurs.eq.6) THEN
+      IF (option_traceurs.EQ.6) THEN
           ! on colorie les ddfts en rouge, le reste est en blanc.
           do k = 1, klev
@@ -1058,10 +1058,10 @@
             enddo !do i = 1, ncum
           enddo !do k = 1, klev
-      else if (option_traceurs.eq.19) THEN
+      ELSE IF (option_traceurs.EQ.19) THEN
           ! on colorie les ddfts, mais on sauve la revap
           do k = 1, klev
             do i = 1, ncum
                do izone=1,nzone
-                 if (izone.eq.izone_ddft) THEN
+                 IF (izone.EQ.izone_ddft) THEN
                    do iiso=1,niso
                      ixt_ddft=itZonIso(izone,iiso)
@@ -1069,12 +1069,12 @@
                      xtp(ixt_ddft,i,k)=xtp(iiso,i,k)-xtp(ixt_revap,i,k)
                    enddo !do iiso=1,niso
-                 elseif (izone.eq.izone_ddft) THEN
+                 elseif (izone.EQ.izone_ddft) THEN
                     ! rien a faire
-                 else !if (izone.eq.izone_ddft) THEN
+                 else !if (izone.EQ.izone_ddft) THEN
                    do iiso=1,niso
                      ixt=itZonIso(izone,iiso)
                      xtp(ixt,i,k)=0.0
                    enddo !do iiso=1,niso
-                 endif !if (izone.eq.izone_ddft) THEN
+                 endif !if (izone.EQ.izone_ddft) THEN
                enddo !do izone=1,nzone
 #ifdef ISOVERIF
@@ -1083,5 +1083,5 @@
             enddo !do i = 1, ncum
           enddo !do k = 1, klev
-      endif !if (option_traceurs.eq.6) THEN
+      endif !if (option_traceurs.EQ.6) THEN
 #endif
 #endif   
@@ -1114,10 +1114,10 @@
       DO k = 1, nd
        DO i = 1, ncum      
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt(iso_eau,i,k), &
                  fq(i,k),'cv_driver 1086',errmax,errmaxrel)
         endif !if (iso_HDO.gt.0) THEN
-        if (iso_HDO.gt.0) THEN
-          if (q(i,k).gt.ridicule) THEN
+        IF (iso_HDO.gt.0) THEN
+          IF (q(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt(iso_HDO,i,k)+delt*fxt(iso_HDO,i,k)) &
@@ -1192,10 +1192,10 @@
       DO k = 1, nd
        DO i = 1, len        
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt1(iso_eau,i,k), &
                 fq1(i,k),'cv_driver 1170',errmax,errmaxrel)
         endif !if (iso_HDO.gt.0) THEN
-        if (iso_HDO.gt.0) THEN
-          if (q1(i,k).gt.ridicule) THEN
+        IF (iso_HDO.gt.0) THEN
+          IF (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt1(iso_HDO,i,k)+delt*fxt1(iso_HDO,i,k)) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5117)
@@ -591,8 +591,8 @@
         ! PRINT*,tp(i,k),ah0(i),cl,cpd,qnk(i),t(i,k),gz(i,k),alv,qg,cpd
         tp(i, k) = (ah0(i)-(cl-cpd)*qnk(i)*t(i,k)-gz(i,k)-alv*qg)/cpd
-        ! if (.not.cpd.gt.1000.) THEN
+        ! if (.NOT.cpd.gt.1000.) THEN
         ! PRINT*,'CPD=',cpd
         ! stop
-        ! endif
+        ! END IF
         clw(i, k) = qnk(i) - qg
         clw(i, k) = max(0.0, clw(i,k))
@@ -670,6 +670,6 @@
   ! inb(i)=k+1
   ! capem(i)=cape(i)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
@@ -697,6 +697,6 @@
   ! capem(i)=cape(i)
   ! byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
